DecklinkOutput.h File Reference

Header file for DecklinkOutput class. More...

`#include <iostream>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <pthread.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include "DeckLinkAPI.h"`
`#include "CacheMemory.h"`
`#include "Frame.h"`
`#include "OpenMPUtilities.h"`

Go to the source code of this file.

## Classes

class | DeckLinkOutputDelegate
| Implementation of the Blackmagic Decklink API (used by the DecklinkWriter) More...

## Enumerations

enum | OutputSignal { kOutputSignalPip = 0 , kOutputSignalDrop = 1 }

## Detailed Description

Header file for DecklinkOutput class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org, Blackmagic Design

License

Definition in file DecklinkOutput.h.

## Enumeration Type Documentation

## OutputSignal

enum OutputSignal

Enumerator
kOutputSignalPip |
kOutputSignalDrop |

Definition at line 72 of file DecklinkOutput.h.